[android-components](../../index.md) / [mozilla.components.browser.domains.autocomplete](../index.md) / [BaseDomainAutocompleteProvider](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`BaseDomainAutocompleteProvider(list: `[`DomainList`](../-domain-list/index.md)`, domainsLoader: `[`DomainsLoader`](../-domains-loader.md)`)`

Provides common autocomplete functionality powered by domain lists.

### Parameters

`list` - source of domains

`domainsLoader` - provider for all available domains